View Issue Details

IDProjectCategoryView StatusLast Update
15246Feature requests[All Projects] Expression Managerpublic2019-11-29 09:06
ReporterDenisChenu Assigned Tocdorin  
PrioritynoneSeverityfeature 
Status assignedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary15246: Allow fixed function (no js, only PHP) in expression mùanager
Description

Currently expression manager function need 2 part : a PHP function + a JS function.
But there are some situation where value are not JS dependant

Additional Information

Sample

  • Get count of previous answer
  • Get data from an external website
  • Surely some other

I have the solution + a plugin usage with statCount and statCountIF

TagsNo tags attached.

Relationships

related to 11589 new Quota should be accessible in relevance equation 
related to 13175 new Benchmark Information. Ability to show calculated values based on all users 
related to 12248 new Expose php mt_rand to Expression manager 

Activities

DenisChenu

DenisChenu

2019-09-07 11:20

developer   ~53522

https://github.com/LimeSurvey/LimeSurvey/pull/1320

DenisChenu

DenisChenu

2019-10-23 08:24

developer   ~54151

Please : see when the pull request with

  1. Plugins with interesting option
  2. With test for this plugins
  3. Close 3 related feature
  4. Didn't broke anything else (in fact : all of this can be done in 3.X without broke 3.X …)

Can be reviewed and merged.

Or tell me : what can i do to be sure to have feature merged in develop … and not reverted after …

ollehar

ollehar

2019-11-28 11:47

administrator   ~54851

No way to make plugin include JS too?

DenisChenu

DenisChenu

2019-11-29 09:06

developer   ~54885

  1. There are no interest to have stats updated via JS
  2. This allow a lot of PHP function (https://bugs.limesurvey.org/view.php?id=12248 for example)
  3. I don't find a way to get stats in expression manager without updating core.
  4. It's a new plugin system : it's open opportunity

Issue History

Date Modified Username Field Change
2019-09-07 10:57 DenisChenu New Issue
2019-09-07 10:57 DenisChenu Status new => assigned
2019-09-07 10:57 DenisChenu Assigned To => DenisChenu
2019-09-07 10:57 DenisChenu Relationship added related to 11589
2019-09-07 10:57 DenisChenu Relationship added related to 13175
2019-09-07 10:58 DenisChenu Relationship added related to 12248
2019-09-07 11:20 DenisChenu Note Added: 53522
2019-10-23 08:24 DenisChenu Assigned To DenisChenu => cdorin
2019-10-23 08:24 DenisChenu Status assigned => feedback
2019-10-23 08:24 DenisChenu Note Added: 54151
2019-11-28 11:47 ollehar Note Added: 54851
2019-11-29 09:06 DenisChenu Note Added: 54885
2019-11-29 09:06 DenisChenu Status feedback => assigned